With the release of macOS version 10.15 (Catalina), Apple will be ending support for 32-bit applications.

Wolfram products based on Wolfram Language 12.0 or later are fully 64 bit on macOS, and will therefore be compatible with macOS 10.15, as well as earlier versions.

Products based on earlier versions of the Wolfram Language contain 32-bit front ends on macOS, and work with macOS up to 10.14.5, but will not be compatible with macOS 10.15 or later.



When starting a Wolfram product with a 32-bit front end on macOS 10.13.4 to 10.14.5, the OS may warn that the product “is not optimized for your Mac,” but it is fully functional on these macOS versions.